Bug 120615 - no generate the file dependencies
no generate the file dependencies
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 02:01 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 11:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-04-12 02:01:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)
Gecko/20031114

Description of problem:
When I just rebuilt the srpm, which has already been built and
actually could has the file dependencies. However the packages has
made by the latest rpm doesn't have the file dependencies, in
particular about the libraries.
Won't we have the file dependencies or rpm has been changed something
and spec file should be also changed to have the file dependencies or
it's just a bug?

Version-Release number of selected component (if applicable):
rpm-4.3.1-0.1

How reproducible:
Always

Steps to Reproduce:
1.rebuild the package with 4.3.1-0.1
2.
3.
    

Actual Results:  no file dependencies

Expected Results:  the packages should have correct file dependencies.

Additional info:
Comment 1 Jeff Johnson 2004-04-12 18:37:41 EDT
What are you missing? If you mean that you do *not* see

    # rpm -q --filerequire time
    /usr/bin/time   libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
    /usr/share/doc/time-1.7
    /usr/share/doc/time-1.7/NEWS
    /usr/share/doc/time-1.7/README
    /usr/share/info/time.info.gz

(or equivalent), then your package was not built with rpm-4.2
or later (or the per-file dependencies have been disabled).

Or do you mean something else?
Comment 2 Akira TAGOH 2004-04-12 21:35:06 EDT
Well, rpm I would expect is:
$ rpm -qp --requires
/mnt/redhat/beehive/comps/dist/fc2/w3m/0.5-2/i386/w3m-0.5-2.i386.rpm
perl
openssl
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/usr/bin/perl
ld-linux.so.2
ld-linux.so.2(GLIBC_2.1)
libcom_err.so.2
libcrypto.so.4
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2.4)
libc.so.6(GLIBC_2.3)
libdl.so.2
libgpm.so.1
libgssapi_krb5.so.2
libk5crypto.so.3
libkrb5.so.3
libm.so.6
libm.so.6(GLIBC_2.0)
libnsl.so.1
libresolv.so.2
libssl.so.4
libtermcap.so.2
libz.so.1

but the stuff which was built with 4.3.1-0.1 is:
$ rpm -qp --requires rpms/RPMS/i386/w3m-0.5-2.i386.rpm indexhtml
perl
openssl
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/usr/bin/perl

I'm wondering what happened?
Comment 3 Jeff Johnson 2004-04-13 11:35:07 EDT
Dunno.

Here's what I see, rpm-4.3-0.1 building w3m-0.5-1:

$ rpm -qp --requires *6.rpm
indexhtml
perl
openssl
ImageMagick
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/usr/bin/perl
ld-linux.so.2
ld-linux.so.2(GLIBC_2.1)
libcom_err.so.2
libcrypto.so.4
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2.4)
libc.so.6(GLIBC_2.3)
libdl.so.2
libgdk-1.2.so.0
libgdk_pixbuf.so.2
libgdk_pixbuf_xlib.so.2
libglib-1.2.so.0
libgmodule-1.2.so.0
libgpm.so.1
libgssapi_krb5.so.2
libgtk-1.2.so.0
libk5crypto.so.3
libkrb5.so.3
libm.so.6
libm.so.6(GLIBC_2.0)
libnsl.so.1
libresolv.so.2
libssl.so.4
libtermcap.so.2
libX11.so.6
libXext.so.6
libXi.so.6
libz.so.1

Note You need to log in before you can comment on or make changes to this bug.